Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002215 [Piwigo] template minor always 2011.03.06 16:20 2011.09.16 09:39
Reporter flop25 View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.3 Product Version 2.2.1
  Target Version 2.2.2 Product Build
Summary 0002215: @import in theme.css induces errors
Description for example a @import url(menu.css); in theme.css of hr_glass_xl give :

Warning: file_get_contents(./themes/hr_glass_xl/url(/www/SITE/sandbox/pwg_test/piwigo_22rc2/themes/hr_glass_xl/menu.css)) [function.file-get-contents]: failed to open stream: No such file or directory in E:\Program Files\EasyPHP\www\SITE\sandbox\pwg_test\piwigo_22rc2\include\template.class.php on line 1260

/!\ it's tested here for 2.2RC3
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0004876)
flop25 (developer)
2011.03.06 16:35

@import menu.css;
works fine
it's the url() which cause that in the "combined css" process
(0004910)
flop25 (developer)
2011.03.25 14:00

line 1352 in template;class.php, we need a better regular expression than :
#@import\s*['|\"]{0,1}(.*?)['|\"]{0,1};#

I tried but I don't succeed
(0005137)
plg (manager)
2011.05.25 10:29
edited on: 2011.05.31 00:22

I have the same kind of problem if I do something like in a local CSS file:

#theHeader h1 {background:url(http://.../banner.jpg)} [^]

(0005146)
rvelices (developer)
2011.05.25 18:51

Cannot test but I suppose changing in template.class.php function process_css_rec

OLD:
if ( !url_is_remote($match[1]) || $match[1][0] != '/')
NEW:
if ( !url_is_remote($match[1]) && $match[1][0] != '/')

should solve the issue
(0005155)
flop25 (developer)
2011.05.30 08:03

that's not working and does'nt change anything :
before :
Warning: file_get_contents(./themes/OS_default/url(/www/SITE/sandbox/pwg_test/piwigo_trunk/themes/OS_default/iconset.css))
after :
Warning:file_get_contents(./themes/OS_default/url(/www/SITE/sandbox/pwg_test/piwigo_trunk/themes/OS_default/iconset.css))
(0005156)
rvelices (developer)
2011.05.30 10:34

flop25, my correction suggestion was for Pierrick's note, not for yours
These are two different issues ...
(0005529)
rvelices (developer)
2011.09.16 09:39

initial bug corrected by plg with provided solution above

- Issue History
Date Modified Username Field Change
2011.03.06 16:20 flop25 New Issue
2011.03.06 16:20 flop25 browser => any
2011.03.06 16:20 flop25 Web server => Apache 1.3.x
2011.03.06 16:35 flop25 Note Added: 0004876
2011.03.07 14:57 flop25 version 2.2.0RC2 => 2.2.0RC3
2011.03.07 14:57 flop25 Description Updated
2011.03.07 16:05 flop25 Issue Monitored: flop25
2011.03.25 14:00 flop25 Note Added: 0004910
2011.04.19 14:54 flop25 version 2.2.0RC3 => 2.2.1
2011.04.19 14:54 flop25 Target Version => 2.2.2
2011.04.19 14:54 flop25 Summary @import in theme.css induces errors (2.2RC3) => @import in theme.css induces errors
2011.05.25 10:28 plg Status new => assigned
2011.05.25 10:28 plg Assigned To => rvelices
2011.05.25 10:29 plg Note Added: 0005137
2011.05.25 18:51 rvelices Note Added: 0005146
2011.05.30 08:03 flop25 Note Added: 0005155
2011.05.30 10:34 rvelices Note Added: 0005156
2011.05.31 00:22 plg Note Edited: 0005137
2011.09.16 09:39 rvelices Note Added: 0005529
2011.09.16 09:39 rvelices Status assigned => closed
2011.09.16 09:39 rvelices Resolution open => fixed
2011.09.16 09:39 rvelices Fixed in Version => 2.2.3


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker